{$A+,B-,D-,E+,F+,I-,L-,N-,O+,R-,S-,V-}
{$M $4000,0,$A0000}

{*********************************************}
{*               BE.PAS 1.03a                *}
{*          (includes BEMAIN.PAS)            *}
{*      Copyright (c) Steve Sneed 1990       *}
{*            All rights reserved            *}
{* Requires ObjectProfessional 1.03 or later *}
{*         from TurboPower Software          *}
{*                                           *}
{* Released to TurboPower Software for their *}
{*           use or redistribution           *}
{*********************************************}

{*
    This program, along with the accompanying BEMAIN.PAS file and the BIGED
    units, make up a simple IDE for the TurboPascal command line compiler.
    The program spawns TPC via OPro's OpExec facility and "reads" any
    generated report, taking you to the file, line and column of any error
    found.  It also "remembers" the last file you loaded via the F3
    (LoadNew) command and treats that file as the main compile file, and has
    "edit memory" (when reloading a file previously edited, you are returned
    to the line and column where you left, with block and text markers and
    edit options restored).

    As the program is configured it expects a TPC.CFG file with all
    nessessary info (paths, compiler directives, etc.) to be available to
    the compiler, and thus provides no command line options itself.  You can
    change the "TPC_Command" const in BEMAIN.PAS if you need to change this
    behavior (or if you want to call TPCX instead of TPC).

    BE is a example program, and like BIGED should be considered "rough";
    I'm sure there are still bugs loose in here, and some routines need a
    good dose of optimization.

    NOTE: This release is untested with the new Version 6.0 of TP and
    version 1.10 of Object Professional.

    Permission is hereby given to TurboPower Software to make this software
    available to its customers, either by inclusion in a "Bonus Disk" in
    software distributed on disk or by inclusion in the library of its
    section of the PCVENB forum on CompuServe.  Distribution by private
    parties is also allowed as long as no charge is made (e.g., via BBS or
    hand-to-hand on disk).  Suggestions, bug reports, gripes and requests
    should be sent to:

    Steve Sneed
    CompuServe ID# 70007,3574
*}

program BE;

uses
  ExecAccess,  {NOTE - See OPro manual 3, pg. 10-33 for this unit}
  BEMain,
  OpExec;

begin
  ExecAccess.ExecDOSSwap := OpExec.ExecDOSSwap;
  Main;
end.
